## gate.creole
Class ExecutionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.creole.ExecutionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExecutionInterruptedException

public class ExecutionException
extends GateException

This exception indicates failure during `run()` invocations on ProcessingResources. These cannot be thrown at run time because `run()` is inheritted from `runnable` and doesn't throw anything.

See Also:
  Serialized Form

Constructor Summary
`ExecutionException()`
`ExecutionException(Exception e)`
`ExecutionException(String s)`

Method Summary
`void` `printStackTrace()` Overriden so we can print the enclosed exception's stacktrace too.
`void` `printStackTrace(PrintStream s)` Overriden so we can print the enclosed exception's stacktrace too.
`void` `printStackTrace(PrintWriter s)` Overriden so we can print the enclosed exception's stacktrace too.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionException

    public ExecutionException()

### ExecutionException

    public ExecutionException(String s)

### ExecutionException

    public ExecutionException(Exception e)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overriden so we can print the enclosed exception's stacktrace too.
  Overrides:
    `printStackTrace` in class `GateException`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Overriden so we can print the enclosed exception's stacktrace too.
  Overrides:
    `printStackTrace` in class `GateException`

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Overriden so we can print the enclosed exception's stacktrace too.
  Overrides:
    `printStackTrace` in class `Throwable`